Skip to main content

/functions/rest/v1/functions/{id}/activations REST API Endpoint

Retrieve a list of activations by function.

Updated on
Oct 20, 2025

Path Parameters

id
string
REQUIRED

The id of the function.

Query Parameters

limit
integer

The maximum number of activations to return. Default: 20

offset
integer

The offset to start from. Default: 0

Returns

data
array

A group of activations represented as objects, with each object containing the following values:

created_at
string

The timestamp when the activation was created

updated_at
string

The timestamp when the activation was updated

id
string

The unique ID of the activation

action_id
string

The ID of the function for this activation

block_number
integer

The block number associated with the activation

user_data
string

The user data associated with the activation

execution
object

The details related to the function execution

duration
integer

The execution duration in miliseconds

size
integer

The size of the function return in bytes

status_code
integer

The status code of the function execution

memory
integer

The amount of memory used for the execution in megabytes

logs
array

Logs related to the function execution

result
object

The result that the execution returned

billable
boolean

Whether the activation is billable

activation_source
string

The source of the activation

quickstream_payload
string

The stream payload associated with the activation

stream_id
string

The ID of the stream associated with the activation

pageInfo
object

Information about the current page

limit
integer

The maximum number of activations to return

offset
integer

The offset to start from

total
integer

The total number of activations

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free